Kerbal Space Program - Bug #1231

Communotron 88-88 changing status after quicksave
08/24/2013 09:20 AM - ChrisK91

Status: Closed Start date: 08/24/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.21 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

If you reload a quicksave, the status from the Communotron 88-88 changes from "fixed" to "locked". As a result, the dish is folded
with action groups.

Steps to reproduce:

1. Build a craft with the Communotron 88-88

2. Assign the "Toggle" action to an action group

3. Send the craft to space, activate the action group to unfold the dish
4. Quicksave

5. Reload the last quicksave

6. Activate the action group again

Expected result:
The dish should not be toggled, it should stay unfolded

Actual result:
The dish is folded in

History

#1 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 10:34 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

Fixed, 1.1.3.
